org.gradle.api.reporting

## Class ReportContainer.ImmutableViolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.reporting.ReportContainer.ImmutableViolationException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    ReportContainer<T extends Report>

      public static class ReportContainer.ImmutableViolationException
      extends GradleException

  The exception thrown when any of this container's mutation methods are called.

  This applies to the standard `Collection` methods such as `add()`, `remove()` and `clear()`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportContainer.ImmutableViolationException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportContainer.ImmutableViolationException

          public ReportContainer.ImmutableViolationException()